<?php

namespace App\DataFixtures;

use App\Entity\Tag;
use App\Entity\User;
use Doctrine\Bundle\FixturesBundle\Fixture;
use Doctrine\Persistence\ObjectManager;

// Les données ci-dessous n’ont servi que lors du premier import pour gérer
// l’historique mais n’ont strictement aucun intérêt au delà.
class AppFixtures extends Fixture
{
    public function load(ObjectManager $manager): void
    {
        $user = new User();
        $user->setUsername('Ptigrouick');
        $user->setOsmId(195175);
        $manager->persist($user);

        $user = new User();
        $user->setUsername('pyrog');
        $user->setOsmId(270456);
        $manager->persist($user);

        $user = new User();
        $user->setUsername('AdrienHegy');
        $user->setOsmId(19054951);
        $manager->persist($user);

        $user = new User();
        $user->setUsername('caboulot');
        $user->setOsmId(80638);
        $manager->persist($user);

        $tag = new Tag();
        $tag->setName('test');
        $manager->persist($tag);

        $manager->flush();
    }
}
